Package org.eclipse.net4j.util.options

# Class OptionsEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.options.OptionsEvent

All Implemented Interfaces:
  `Serializable`, `IEvent`, `IOptionsEvent`

public class OptionsEvent extends Event implements IOptionsEvent
The default implementation of an `options event`.

Since:
  2.0
Author:
  Victor Roldan Betancort
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`OptionsEvent(IOptions source)`

## Method Summary

Modifier and Type
Method
Description
`IOptions`
`getSource()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OptionsEvent

public OptionsEvent(IOptions source)

## Method Details

### getSource

public IOptions getSource()

Specified by:
  `getSource` in interface `IEvent`
Specified by:
  `getSource` in interface `IOptionsEvent`
Overrides:
  `getSource` in class `Event`